%define group System/Configuration/Packaging
%define grpmiVersion 8.1

Name: grpmi
Version: %{grpmiVersion}
Release: 7mdk
Source0: %{name}-%{version}.tar.bz2
License: GPL
BuildRoot: %{_tmppath}/%{name}
Summary: GUI frontend for rpms installation or upgrade
Requires: gnupg >= 1.0.2-2mdk
BuildRequires: curl-devel db3-devel gtk+mdk-devel libbzip2-devel rpm-devel >= 4.0.3 
Group: %{group}

%description
Nice gtk+ GUI to see the rpms installation progress

%prep
%setup -q 

%build
%configure
%make CFLAGS="$RPM_OPT_FLAGS" grpmi

%install
rm -rf $RPM_BUILD_ROOT
make version=%{grpmiVersion} install prefix=$RPM_BUILD_ROOT%{_prefix}

install -d $RPM_BUILD_ROOT%{_var}/cache/urpmi/rpms

%{find_lang} grpmi

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/$RPM_PACKAGE_NAME

%files -n grpmi -f grpmi.lang
%defattr(-,root,root)
%{_prefix}/X11R6/bin/grpmi
%{_var}/cache/urpmi/rpms

%changelog
* Thu Sep  6 2001 DindinX <odin@mandrakesoft.com> 8.1-7mdk
- better support for progress bar

* Thu Aug 16 2001 Warly <warly@mandrakesoft.com> 8.1-6mdk
- recompiled for cooker

* Wed Jul 18 2001 DindinX <odin@mandrakesoft.com> 8.1-5mdk
- resync with CVS
- rebuild with new rpm libs
- remove config.cache the right way...
- remove patch. It is very silly to patch our own tools :-/

* Sat Jul 07 2001 Stefan van der Eijk <stefan@eijk.nu> 8.1-4mdk
- BuildRequires:	db3-devel
- Removed BuildRequires:	popt-devel
- Removed BuildRequires:	zlib-devel

* Fri Jul 06 2001 Franois Pons <fpons@mandrakesoft.com> 8.1-3mdk
- make sure config.cache is not already present in archive.
- update configure.in with new rpm 4.0.3.

* Thu Jul  5 2001 DindinX <odin@mandrakesoft.com> 8.1-2mdk
- rebuild with new libs.

* Wed Jun 13 2001 DindinX <odin@mandrakesoft.com> 8.1-1mdk
- CVS cleanups, adapted for rpm-4.0.3

* Tue May 22 2001 DindinX <odin@mandrakesoft.com> 8.0-9mdk
- added support for proxy

* Thu Apr 26 2001 Frederic Lepied <flepied@mandrakesoft.com> 8.0-8mdk
- use resume on transfer
- change cache dir to /var/cache/urpmi/rpms

* Fri Apr 13 2001 Frederic Lepied <flepied@mandrakesoft.com> 8.0-7mdk
- better error reporting for rpminst

* Tue Mar 27 2001 DindinX <odin@mandrakesoft.com> 8.0-6mdk
- re-enable quitting at the end of execution
- spec clean up

* Tue Mar 27 2001 DindinX <odin@mandrakesoft.com> 8.0-5mdk
- debugged (!) embedding mode.

* Tue Mar 27 2001 DindinX <odin@mandrakesoft.com> 8.0-4mdk
- improved embedding mode.

* Mon Mar 26 2001 DindinX <odin@mandrakesoft.com> 8.0-3mdk
- remove pamification
- remove MandrakeUpdate language files
- grpmi now prints its WID when launching so rpminst can embed it.

* Thu Mar 22 2001 Pixel <pixel@mandrakesoft.com> 8.0-2mdk
- remove the menu (not needed)
- grpmi doesn't need perl anymore nor does it need grpmi.pm

* Wed Mar 14 2001 Frederic Lepied <flepied@mandrakesoft.com> 8.0-1mdk
- removed MandrakeUpdate binary package generation

* Tue Jan  2 2001 DindinX <odin@mandrakesoft.com> 7.2-19mdk
- correctly handle the importance tag.

* Fri Oct 27 2000 Frederic Lepied <flepied@mandrakesoft.com> 7.2-18mdk
- port to rpm 4.

* Wed Oct 25 2000 DindinX <odin@mandrakesoft.com> 7.2-17mdk
- Use the DURING_INSTALL environment variable to avoid ldconfig
  and update-menus to be launch several times.

* Wed Oct 25 2000 DindinX <odin@mandrakesoft.com> 7.2-16mdk
- Disabling the "Cancel" button during the rpm transaction
  since this may corrupt the rpm database. (fix 963)

* Tue Oct 24 2000 DindinX <odin@mandrakesoft.com> 7.2-15mdk
- grpmi.*: fix 592, but the real solution would to get rid of wget for
  ftp transfert. Will be longer to code but a lot safer.
- fix 928 by testing the screen width and reduce the main window when it is
  less than 800.
- updated po

* Tue Oct 10 2000 DindinX <odin@mandrakesoft.com> 7.2-14mdk
- add MandrakeUpdate.real (the real program) to the %%file list
  (should fix 777)

* Mon Oct 09 2000 DindinX <odin@mandrakesoft.com> 7.2-13mdk
- remove kdesu requirement
- use usermode for MandrakeUpdate

* Mon Oct 09 2000 DindinX <odin@mandrakesoft.com> 7.2-12mdk
- fix i18n
- Added some requires and buildrequires (ASkwar)
- more macros (ASkwar)
- put menu in spec (ASkwar)
- put Changelog at the end of the spec

* Fri Oct 06 2000 DindinX <odin@mandrakesoft.com> 7.2-11mdk
- updated po (and align icon caption)
- small bugfix (about the number of selected package after a failure)

* Wed Oct 04 2000 DindinX <odin@mandrakesoft.com> 7.2-10mdk
- use LN icons
- updated po

* Mon Oct 02 2000 DindinX <odin@mandrakesoft.com> 7.2-9mdk
- Use the new syntax for the mirrorfiles:
  updates: and update{%arch}: are now accepted.
- updated po

* Fri Sep 29 2000 DindinX <odin@mandrakesoft.com> 7.2-8mdk
- change "ignore" to "install" in grpmi.

* Fri Sep 29 2000 DindinX <odin@mandrakesoft.com> 7.2-7mdk
- Somewhat fix the Cancel problem
- Use Source as the first entry in the preference box
- Add some other Cancel Button
- Make the "type" coolumn resizable
- updated po

* Thu Sep 28 2000 DindinX <odin@mandrakesoft.com> 7.2-6mdk
- Only show the "Type" column with normal updates
- Remove the two gpg keys since they're provided by GnuPG.
- updated po

* Wed Sep 27 2000 DindinX <odin@mandrakesoft.com> 7.2-5mdk
- Added some more sanity checks.
- MU now reload the list of package when sth wrong happened within grpmi
- Re-enable GnuPG sig check (seems working now).
- Enhanced GnuPG sig check

* Wed Sep 27 2000 DindinX <odin@mandrakesoft.com> 7.2-4mdk
- Temporary disabling GnuPG sig, since it breaks so many things.
- small UI changes
- Correctly change the title of the Package Frame (source on...) when
  switching to/from devel updates from/to normal updates
- Show an alert box when the user choose a version different from the
  one found in /etc/mandrake-release.
- update po

* Tue Sep 19 2000 DindinX <odin@mandrakesoft.com> 7.2-3mdk
- Fix proxy preference box (hopefully)
- Use a more robust function to compare versions

* Mon Sep 18 2000 DindinX <odin@mandrakesoft.com> 7.2-2mdk
- Check GnuPG signature
- Small UI changes
- Support for different types of updates

* Wed Sep 13 2000 DindinX <odin@mandrakesoft.com> 7.2-1mdk
- Updated the version to 7.2
- Select a default mirror randomly when there's none defined
- First part of the support for regular updates (such as the forthcoming KDE2)
- Deals with two flavour of mirrors: Cooker-based ones and updates-based ones
- Many bugfixes

* Tue Sep  5 2000 DindinX <odin@mandrakesoft.com> 7.1-27mdk
- Fix a segfault which might occur when trying to update many times the
  same list of packages
- Slighty change the way progressbar popups are created (thx to havoc)
- Add a Cancel button in the progress for updating the package list.
- The Importance flag is now printed with bold font.
- Small UI change

* Fri Sep  1 2000 DindinX <odin@mandrakesoft.com> 7.1-26mdk
- Double clicks now select (check) packages
- retrieve the package list in passive mode, so we works behind firewall
  (thanks to FredB for pointing this)
- Added a warning box when getting a list of development packages

* Thu Aug 31 2000 DindinX <odin@mandrakesoft.com> 7.1-25mdk
- fix the grpmi invocation
- fix white background with themes
- Lists of packages to update are now kept in memory, so we can toggle
  between security updates and dev updates quickly.
- other small bugfixes

* Tue Aug 29 2000 DindinX <odin@mandrakesoft.com> 7.1-24mdk
- UI enhancement

* Wed Aug 23 2000 DindinX <odin@mandrakesoft.com> 7.1-23mdk
- Rebuild on ke to hunt for the /var/tmp/MandrakeUpdate/usr/X11R6/bin/grpmi.pm
  bug
- use %lang to please rpmlint
- remove /var/cache/grpmi from the MandrakeUpdate %files
- add /var/cache/grpmi to the grpmi %files

* Fri Aug 18 2000 DindinX <odin@mandrakesoft.com> 7.1-22mdk
- Fix another typo in grpmi (which prepended grpmi on every packages...)
- Added a waiting progress bar in MU when forking to grpmi
- Removed the unconnected Help menu entry

* Wed Aug 16 2000 DindinX <odin@mandrakesoft.com> 7.1-21mdk
- small BM fixes
- UI fixes (thx gc)
- Fix the saving of the package list (thx gc)

* Mon Aug 14 2000 DindinX <odin@mandrakesoft.com> 7.1-20mdk
- fix a typo in grpmi.pm
- little UI fixes.

* Thu Aug 10 2000 Pixel <pixel@mandrakesoft.com> 7.1-19mdk
- use /var/cache/grpmi instead of /root/tmp (better for FHS, thxchmou)	
- add /var/cache/grpmi to %%files

* Wed Aug  9 2000 Pixel <pixel@mandrakesoft.com> 7.1-18mdk
- security update: use /root/tmp as tmpdir instead of /tmp

* Mon Aug 07 2000 DindinX <odin@mandrakesoft.com> 7.1-17mdk
- remove provide gmessage and gchooser, since grpmi doesn't provide it anymore

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 7.1-16mdk
- automatically added BuildRequires

* Fri Aug  4 2000 DindinX <odin@mandrakesoft.com> 7.1-15mdk
- Use KB or MB to show the package size in a human readable format (Thx Fred B)
- Don't reload the package list after an installation (Thx Fred B)
- po updates
    
* Wed Aug  2 2000 DindinX <odin@mandrakesoft.com> 7.1-14mdk
- New version, without Perl, without threads, new UI

* Sat Jul 29 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 7.1-13mdk
- rebuild it with macrosifications

* Thu Jul  6 2000 Pixel <pixel@mandrakesoft.com> 7.1-12mdk
- grpmi.pm: add LANGUAGE=C before wget (otherwise, string Length is not found)

* Wed Jul 05 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 7.1-11mdk
- build release

* Wed Jul 05 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 7.1-10mdk
- build against new libbz2

* Mon Jun  5 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 7.1-9mdk
- MandrakeUpdate.pm: Add multiple architechture support.

* Wed May 10 2000 DindinX <odin@mandrakesoft.com> 7.1-8mdk
- Added the missing Help File

* Thu May  4 2000 DindinX <odin@mandrakesoft.com> 7.1-7mdk
- Workaround a bug in the thread handling, to avod dead process

* Thu May  4 2000 DindinX <odin@mandrakesoft.com> 7.1-6mdk
- Fix typo in the Makefile (7.0 -> 7.1)

* Wed May  3 2000 DindinX <odin@mandrakesoft.com> 7.1-5mdk
- Fix a small but annoying bug

* Tue May  2 2000 DindinX <odin@mandrakesoft.com> 7.1-4mdk
- Added a button to validate the change of mirror

* Fri Apr 28 2000 DindinX <odin@mandrakesoft.com> 7.1-3mdk 
- Version 7.1
- cleanup MandrakeUpdate.pm
- Added 32x32 and 48x48 icons

* Tue Apr 11 2000 DindinX <odin@mandrakesoft.com> 7.0-16mdk
- Added a nice icon menu from Hlne's.

* Fri Mar 31 2000 DindinX <odin@mandrakesoft.com> 7.0-15mdk
- New Group
- Specs fixes
- Menu

* Mon Feb 28 2000 DindinX <odin@mandrakesoft.com> 7.0-14mdk
- Changed Taiwan naming scheme (Pablo)

* Thu Feb 10 2000 DindinX <odin@mandrakesoft.com> 7.0-13mdk
- Prelimirary support for proxies

* Thu Jan 27 2000 DindinX <odin@mandrakesoft.com> 7.0-12mdk
- New interface release, certainly a whole bunch of new bugs!

* Wed Dec 22 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Fix some typos

* Mon Dec 20 1999 Pixel <pixel@mandrakesoft.com>
- rebuild for 7.0
- new version by dindinx

* Sat Nov 20 1999 Pixel <pixel@mandrakesoft.com>
- merged in the translations from the CVS

* Sat Nov 20 1999 Pixel <pixel@linux-mandrake.com>
- using kdesu instead of gsu in grpmi
- removed gsu

* Sun Nov 07 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build release (pixel sux).

* Fri Sep 24 1999 Pixel <pixel@mandrakesoft.com>
- fixed a bug in MandrakeUpdate.pm (for i18n) 

* Thu Sep 23 1999 Francis Galiegue <francis@mandrakesoft.com>
- fixed English error in sources and redone the .po files
- please someone actually DO the de .po files
  and fill Makefile appropriately - de has been removed from LANG for now
- added French summary and descriptions

* Thu Aug 26 1999 Pixel <pixel@linux-mandrake.com>
- replaced mirroir by miroir in the french po file
- changed version to 6.1

* Sat Aug 14 1999 Pixel <pixel@linux-mandrake.com>
many features added:
- wget -c instead of wget
- display the size of the rpms
- parse the descriptions file to get info on packages: flags (install or
upgrade), importance (essential, important, normal, optional), description,
pre-install message, post-install message

